import type { IGetImageReturn } from "./get-image";
declare type TRects = [
    "rect",
    Record<"width" | "height" | "x" | "y" | "fillOpacity", {} & number> & Record<"fill", {} & string>
];
declare type TGetImageReturnSVG = IGetImageReturn["optimizedForSVG"];
export interface IGetSVGOptions extends TGetImageReturnSVG {
}
export declare type TGetSVGReturn = [
    "svg",
    {
        viewBox: string;
        width: string;
        height: string;
        shapeRendering: string;
        preserveAspectRatio: string;
        style: any;
        xmlns: string;
    },
    TRects[]
];
export interface IGetSVG {
    (options: IGetSVGOptions): TGetSVGReturn;
}
export declare const getSVG: IGetSVG;
export {};
